Library Version 11.2.5.3

count
Prev | Chapter 5. Db_map | Next

## count

### Function Details

    size_type count(const key_type &x) const

Count the number of key/data pairs having specified key x.

#### Parameters

##### x

The key to count.

#### Return Value

The number of key/data pairs having x as key within the container.

#### See Also

http://www.cplusplus.com/reference/stl/map/count/

### Group: Searching Functions

The following functions are returning iterators, and they by default return read-write iterators.

If you intend to use the returned iterator only to read, you should call the const version of each function using a const reference to this container. Using const iterators can potentially promote concurrency a lot. You can also set the readonly parameter to each non-const version of the functions to true if you don't use the returned iterator to write, which also promotes concurrency and overall performance.

### Class

db_map

Prev | Up | Next
equal_range | Home | upper_bound